import Foundation

final class LocalizedSettings: ObservableObject {

    @Published
    var navigationBarIconDescription: String

    @Published
    var posts: LocalizedPostSettings

    init(navigationBarIconDescription: String, posts: LocalizedPostSettings) {
        self.navigationBarIconDescription = navigationBarIconDescription
        self.posts = posts
    }
}
