
struct NavigationBarSettingsFile {

    /// The path to the main icon in the navigation bar
    let navigationIconPath: String

    /// The tags to show in the navigation bar
    let navigationTags: [String]
}

extension NavigationBarSettingsFile: Codable { }

extension NavigationBarSettingsFile {

    static var `default`: NavigationBarSettingsFile {
        .init(navigationIconPath: "/assets/icons/icon.svg",
              navigationTags: [])
    }
}
