import SwiftUI
import SFSafeSymbols

struct SettingsSidebar: View {

    @Binding var selectedSection: SettingsSection?

    var body: some View {
        List(SettingsSection.allCases, selection: $selectedSection) { item in
            Label(item.rawValue, systemSymbol: item.icon)
                .tag(item)
        }
        .navigationTitle("Settings")
    }
}
