import Foundation

final class GenerationResultsHandler {

    var requiredVideoFiles: Set<String> = []

    /// Generic warnings for pages
    private var pageWarnings: [(message: String, source: String)] = []

    func warning(_ message: String, page: Page) {
        pageWarnings.append((message, page.id))
        print("Page: \(page.id): \(message)")
    }

    func addRequiredVideoFile(fileId: String) {
        requiredVideoFiles.insert(fileId)
    }
}
