
enum ModelFileType: String {
    
    case stl

    case f3d

    case step

    case glb

    case f3z

    init?(fileExtension: String) {
        self.init(rawValue: fileExtension)
    }

    var fileExtension: String {
        rawValue
    }
}
